[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: debugging "Lisp nesting exceeds max-lisp-eval-dept" error??

From: Chris Moore
Subject: Re: debugging "Lisp nesting exceeds max-lisp-eval-dept" error??
Date: Tue, 23 Aug 2005 22:16:13 +0200

Hi Martin.

I found that simply putting:

  (require 'tramp)

as the first line of my ~/.emacs solved the problem for me.

It also seems like the problem I was seeing has been fixed in the
latest CVS code anyway - I can no longer reproduce it.


On 8/22/05, Martin Maechler <address@hidden> wrote:
> Dear Chris,
> I've started to use "Emacs CVS" (22.50.1) today and quickly got
> problems with a "permanently reproduced" 1) error message
> Error in post-command-hook: (error Lisp nesting exceeds `max-lisp-eval-depth')
> When googling for this, I quickly found your posting to the
> emacs-pretest-bug mailing list
> with
>   Subject: Re: debugging "Lisp nesting exceeds max-lisp-eval-depth" error?
>   Date: Wed, 6 Apr 2005 14:31:23 +0100
> where you reported to have seen similar problems, caused by a
> long " historically grown ~/.emacs " --- exactly my situation as well.
> You had ended up making a reproducible bug involving recursive
> loading of tramp.elc (which I think is another problem, not the
> same as the "Lisp nesting exceeds...").
> Anyway, I'd really like a solution to this problem, because it
> is too much of a pain for me to continue using emacs 22.0.x.  In
> case you have found out more about this, I'd be glad to hear about
> it.
> Regards,
> Martin Maechler, ETH Zurich
> 1) "permanently reproduced" : The message appears whenever I try
>    to use M-x and also for other things like "dired"..
>    A complete pain ITA..
> PS: I'd be grateful if people can keep me CC'ed on this topic

reply via email to

[Prev in Thread] Current Thread [Next in Thread]